[CRIU] [PATCH] zdtm: the post-dump scripts returns zero, if action is not post-dump
Andrey Vagin
avagin at openvz.org
Tue Jul 23 17:01:23 EDT 2013
All scripts are executed for all actions, so if one of them failed for
any actions, crtools returns with non-zero code.
E.g: ./zdtm.sh -d ns/static/env00
Cc: Cyrill Gorcunov <gorcunov at openvz.org>
Signed-off-by: Andrey Vagin <avagin at openvz.org>
---
test/post-dump.sh | 14 +++++++-------
1 file changed, 7 insertions(+), 7 deletions(-)
diff --git a/test/post-dump.sh b/test/post-dump.sh
index 50ada06..cb1d151 100755
--- a/test/post-dump.sh
+++ b/test/post-dump.sh
@@ -1,9 +1,9 @@
#!/bin/sh
-[ $CRTOOLS_SCRIPT_ACTION == post-dump ] && {
- #
- # Special code to inform zdtm that we're
- # done and should proceed testing treating
- # non-zero return as known case.
- exit 32
-}
+[ "$CRTOOLS_SCRIPT_ACTION" == post-dump ] || exit 0
+
+#
+# Special code to inform zdtm that we're
+# done and should proceed testing treating
+# non-zero return as known case.
+exit 32
--
1.8.3.1
More information about the CRIU
mailing list